summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2024-03-13 06:29:04 +0100
committerMichał Górny <mgorny@gentoo.org>2024-03-13 07:51:33 +0100
commitcdd44a397cc513d046702328b8bfa733dd483017 (patch)
treed0329f4331fe3dc9fac3aa48a4af60e320a75088 /dev-python
parent6a7b96785c81264aac6d1882a906205d2efded1f (diff)
downloadgentoo-cdd44a397cc513d046702328b8bfa733dd483017.tar.gz
gentoo-cdd44a397cc513d046702328b8bfa733dd483017.tar.bz2
gentoo-cdd44a397cc513d046702328b8bfa733dd483017.zip
dev-python/boto3: Bump to 1.34.61
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.34.61.ebuild58
2 files changed, 59 insertions, 0 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index c9501872784a..83764d2bccff 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -2,3 +2,4 @@ DIST boto3-1.34.49.gh.tar.gz 777028 BLAKE2B 3f78be7cffeca8dec5c7e1b8fcb2e4081e8d
DIST boto3-1.34.54.gh.tar.gz 779564 BLAKE2B f61a74f6a317af6f180edb047e8c37e55c2d497c9507728eb098e2627d071aa56bae037a4bb8582774a49b20d0c1794a8793ab3d8e92d90071de3caf1d32bc2b SHA512 e3549e7b7ad254eafff60eb9bd21aa179f2840c2097874fb0a0602e767dbcf203742629eeaffe6432db65c3f76c326032e700cebb7ea92ebb7305ae6e26173ba
DIST boto3-1.34.59.gh.tar.gz 782060 BLAKE2B d46f20f101f36380a17cb5c1bd511adde1b9fb01981566b863d192d0b93d9965a6720dc67ba47d4e1da94b3994dc5a6e59b1effa4e5c4f5e1e25f1683d99c40e SHA512 5d1d34339d60cd5c2efb60da885c4f92e5c245ef95bdaf46631d2938adf9fb08f7fba86ce2dd3e6382291d0d72c81aa9698cfe327d88c0b8ae8812d9c1e0b37c
DIST boto3-1.34.60.gh.tar.gz 782539 BLAKE2B d0fa63256b967b9a93139d4ee41e5892187cc54671b5a7c47b8e6900ac1b9ea7bae8d8b38a0f18432813a6085e2773b7c7b8686e9d5d7d13465b8547f0bb9e30 SHA512 f60ae6664ce19bdddb552d72c2f0699d8bd771e23f164e29f5c3c7869680528a6e9b8d678c7c0359dbe25c3e20077a7cf45efd01f207340dbe0ee6198e08a4c5
+DIST boto3-1.34.61.gh.tar.gz 782749 BLAKE2B 058b8389a57c1e652789ddf9ce83f754ecd94e90f292f3d9ed70cc3456a547578591fa7d908838296186707074b874ac5898e5960022cfd3ecbac9e8cbefa8a0 SHA512 8b72e539def341676a928d346099b8076c21543606a0a02050aa792c95a898c0b00edeccc2c0eadf241071c78b859b4240b2e40e32c3a16dbbc4cbbfff89e9cd
diff --git a/dev-python/boto3/boto3-1.34.61.ebuild b/dev-python/boto3/boto3-1.34.61.ebuild
new file mode 100644
index 000000000000..b64e7191fd19
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.61.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}